Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class Pacchetto

    java.lang.Object
      archive.data.Pacchetto

    public class Pacchetto

extends java.lang.Object

Una classe per rappresentare un pacchetto

Constructor Summary
`Pacchetto(java.lang.String n, java.lang.String i, java.lang.String[] r, Settimana[] s)` Il costruttore inizializza un nuovo pacchetto

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getIndirizzo()` Ritorna l'indirizzo del villaggio
`java.lang.String` | `getNome()` Ritorna il nome del villaggio
`java.lang.String[]` | `getRecapiti()` Ritorna i recapiti del villaggio
`Settimana` | `getSettimana(int n)` Ritorna una settimana
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pacchetto

    public Pacchetto(java.lang.String n,
                     java.lang.String i,
                     java.lang.String[] r,
                     Settimana[] s)

  Il costruttore inizializza un nuovo pacchetto

  Parameters:
    `n` - nome villaggio
    `i` - indirizzo
    `r` - un array di `String` recapiti
    `s` - un array di `Settimana`

Method Detail

### getNome

    public java.lang.String getNome()

  Ritorna il nome del villaggio

  Returns:
    il nome del villaggio

### getIndirizzo

    public java.lang.String getIndirizzo()

  Ritorna l'indirizzo del villaggio

  Returns:
    indirizzo del villaggio

### getRecapiti

    public java.lang.String[] getRecapiti()

  Ritorna i recapiti del villaggio

  Returns:
    un clone del array `String` recapiti del villaggio

### getSettimana

    public Settimana getSettimana(int n)

  Ritorna una settimana

  Parameters:
    `n` - numero settimana
  Returns:
    il nome del villaggio
  Throws:
    `java.lang.IllegalArgumentException` - se la settimana richiesta non e' compresa tra 1 e 52

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD